<template>
    <div id="DeleteUser" class="component">
        <h1>Supprimer Utilisateur :</h1>
        <select class="form-control" name="user" v-model="user" v-on:change="updateSelectedId(user.id)">
            <option v-for="user in users"
                    v-bind:value="user">
                {{ user.pseudo }}
            </option>
        </select>
        <div>
            <input type="submit" value="Delete" v-on:click="deleteUser" />
        </div>
        <pre><code>{{ response }}</code></pre>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'DeleteUser',
        data () {
            return {
                users: '',
                user: '',
                selectedId: 0,
                response: ''
            }
        },
        created() {
            this.getAllUsers()
        },
        methods: {
            getAllUsers: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users')
                    .then(response => (this.users = response.data.data),
                         (error) => (this.users = error.response.data))
            },
            deleteUser: function() {
                axios
                    .delete('http://127.0.0.1:8000/api/users/'+this.selectedId)
                    .then(response => (this.response = response.data),
                        (error) => (this.response = error.response.data));
                // Si on veut voir le résultat échanger les lignes commentées ci-dessous, seul ce composant sera mit à jour
                // this.getAllUsers();
                //location.reload();
            },
            updateSelectedId: function (id) {
                this.selectedId = id;
            }
        }
    }
</script>